// Generated by generate_wrap_init.pl -- DO NOT MODIFY!

#define GLIBMM_INCLUDED_FROM_WRAP_INIT_CC
#include <glibmm.h>

// Disable the 'const' function attribute of the get_type() functions.
// GCC would optimize them out because we don't use the return value.
#undef  G_GNUC_CONST
#define G_GNUC_CONST /* empty */

#include <libgdamm/wrap_init.h>
#include <glibmm/error.h>
#include <glibmm/object.h>

// #include the widget headers so that we can call the get_type() static methods:
#include "batch.h"
#include "blob.h"
#include "blobop.h"
#include "column.h"
#include "config.h"
#include "connection.h"
#include "connectionevent.h"
#include "dataaccesswrapper.h"
#include "datacomparator.h"
#include "datahandler.h"
#include "datamodel.h"
#include "datamodelarray.h"
#include "datamodelimport.h"
#include "datamodeliter.h"
#include "dataproxy.h"
#include "dataselect.h"
#include "handlerbin.h"
#include "handlerboolean.h"
#include "handlernumerical.h"
#include "handlerstring.h"
#include "handlertime.h"
#include "handlertype.h"
#include "holder.h"
#include "metastore.h"
#include "metastruct.h"
#include "numeric.h"
#include "quarklist.h"
#include "row.h"
#include "serveroperation.h"
#include "serverprovider.h"
#include "set.h"
#include "sqlbuilder.h"
#include "sqlexpr.h"
#include "sqlparser.h"
#include "sqlstatement.h"
#include "statement.h"
#include "transactionstatus.h"
#include "xatransaction.h"

extern "C"
{
//Declarations of the *_get_type() functions:

GType gda_batch_get_type(void);
GType gda_blob_op_get_type(void);
GType gda_column_get_type(void);
GType gda_config_get_type(void);
GType gda_connection_get_type(void);
GType gda_connection_event_get_type(void);
GType gda_data_access_wrapper_get_type(void);
GType gda_data_comparator_get_type(void);
GType gda_data_model_array_get_type(void);
GType gda_data_model_import_get_type(void);
GType gda_data_model_iter_get_type(void);
GType gda_data_proxy_get_type(void);
GType gda_data_select_get_type(void);
GType gda_handler_bin_get_type(void);
GType gda_handler_boolean_get_type(void);
GType gda_handler_numerical_get_type(void);
GType gda_handler_string_get_type(void);
GType gda_handler_time_get_type(void);
GType gda_handler_type_get_type(void);
GType gda_holder_get_type(void);
GType gda_meta_store_get_type(void);
GType gda_meta_struct_get_type(void);
GType gda_row_get_type(void);
GType gda_server_operation_get_type(void);
GType gda_server_provider_get_type(void);
GType gda_set_get_type(void);
GType gda_sql_builder_get_type(void);
GType gda_sql_parser_get_type(void);
GType gda_statement_get_type(void);
GType gda_transaction_status_get_type(void);
GType gda_xa_transaction_get_type(void);

//Declarations of the *_error_quark() functions:

GQuark gda_config_error_quark(void);
GQuark gda_connection_error_quark(void);
GQuark gda_data_model_error_quark(void);
GQuark gda_data_model_iter_error_quark(void);
GQuark gda_holder_error_quark(void);
GQuark gda_meta_store_error_quark(void);
GQuark gda_meta_struct_error_quark(void);
GQuark gda_server_provider_error_quark(void);
GQuark gda_sql_builder_error_quark(void);
GQuark gda_sql_error_quark(void);
GQuark gda_sql_parser_error_quark(void);
GQuark gda_statement_error_quark(void);
} // extern "C"

namespace Gnome {
namespace Gda {

//Declarations of the *_Class::wrap_new() methods, instead of including all the private headers:

class Batch_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class BlobOp_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class Column_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class Config_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class Connection_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class ConnectionEvent_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class DataAccessWrapper_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class DataComparator_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class DataModelArray_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class DataModelImport_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class DataModelIter_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class DataProxy_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class DataSelect_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class HandlerBin_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class HandlerBoolean_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class HandlerNumerical_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class HandlerString_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class HandlerTime_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class HandlerType_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class Holder_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class MetaStore_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class MetaStruct_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class Row_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class ServerOperation_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class ServerProvider_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class Set_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class SqlBuilder_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class SqlParser_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class Statement_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class TransactionStatus_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };
class XaTransaction_Class { public: static Glib::ObjectBase* wrap_new(GObject*); };

void wrap_init()
{
  // Register Error domains in the main namespace:
  Glib::Error::register_domain(gda_config_error_quark(), &ConfigError::throw_func);
  Glib::Error::register_domain(gda_connection_error_quark(), &ConnectionError::throw_func);
  Glib::Error::register_domain(gda_data_model_error_quark(), &DataModelError::throw_func);
  Glib::Error::register_domain(gda_data_model_iter_error_quark(), &DataModelIterError::throw_func);
  Glib::Error::register_domain(gda_holder_error_quark(), &HolderError::throw_func);
  Glib::Error::register_domain(gda_meta_store_error_quark(), &MetaStoreError::throw_func);
  Glib::Error::register_domain(gda_meta_struct_error_quark(), &MetaStructError::throw_func);
  Glib::Error::register_domain(gda_server_provider_error_quark(), &ServerProviderError::throw_func);
  Glib::Error::register_domain(gda_sql_builder_error_quark(), &SqlBuilderError::throw_func);
  Glib::Error::register_domain(gda_sql_error_quark(), &SqlError::throw_func);
  Glib::Error::register_domain(gda_sql_parser_error_quark(), &SqlParserError::throw_func);
  Glib::Error::register_domain(gda_statement_error_quark(), &StatementError::throw_func);

  // Map gtypes to gtkmm wrapper-creation functions:
  Glib::wrap_register(gda_batch_get_type(), &Batch_Class::wrap_new);
  Glib::wrap_register(gda_blob_op_get_type(), &BlobOp_Class::wrap_new);
  Glib::wrap_register(gda_column_get_type(), &Column_Class::wrap_new);
  Glib::wrap_register(gda_config_get_type(), &Config_Class::wrap_new);
  Glib::wrap_register(gda_connection_get_type(), &Connection_Class::wrap_new);
  Glib::wrap_register(gda_connection_event_get_type(), &ConnectionEvent_Class::wrap_new);
  Glib::wrap_register(gda_data_access_wrapper_get_type(), &DataAccessWrapper_Class::wrap_new);
  Glib::wrap_register(gda_data_comparator_get_type(), &DataComparator_Class::wrap_new);
  Glib::wrap_register(gda_data_model_array_get_type(), &DataModelArray_Class::wrap_new);
  Glib::wrap_register(gda_data_model_import_get_type(), &DataModelImport_Class::wrap_new);
  Glib::wrap_register(gda_data_model_iter_get_type(), &DataModelIter_Class::wrap_new);
  Glib::wrap_register(gda_data_proxy_get_type(), &DataProxy_Class::wrap_new);
  Glib::wrap_register(gda_data_select_get_type(), &DataSelect_Class::wrap_new);
  Glib::wrap_register(gda_handler_bin_get_type(), &HandlerBin_Class::wrap_new);
  Glib::wrap_register(gda_handler_boolean_get_type(), &HandlerBoolean_Class::wrap_new);
  Glib::wrap_register(gda_handler_numerical_get_type(), &HandlerNumerical_Class::wrap_new);
  Glib::wrap_register(gda_handler_string_get_type(), &HandlerString_Class::wrap_new);
  Glib::wrap_register(gda_handler_time_get_type(), &HandlerTime_Class::wrap_new);
  Glib::wrap_register(gda_handler_type_get_type(), &HandlerType_Class::wrap_new);
  Glib::wrap_register(gda_holder_get_type(), &Holder_Class::wrap_new);
  Glib::wrap_register(gda_meta_store_get_type(), &MetaStore_Class::wrap_new);
  Glib::wrap_register(gda_meta_struct_get_type(), &MetaStruct_Class::wrap_new);
  Glib::wrap_register(gda_row_get_type(), &Row_Class::wrap_new);
  Glib::wrap_register(gda_server_operation_get_type(), &ServerOperation_Class::wrap_new);
  Glib::wrap_register(gda_server_provider_get_type(), &ServerProvider_Class::wrap_new);
  Glib::wrap_register(gda_set_get_type(), &Set_Class::wrap_new);
  Glib::wrap_register(gda_sql_builder_get_type(), &SqlBuilder_Class::wrap_new);
  Glib::wrap_register(gda_sql_parser_get_type(), &SqlParser_Class::wrap_new);
  Glib::wrap_register(gda_statement_get_type(), &Statement_Class::wrap_new);
  Glib::wrap_register(gda_transaction_status_get_type(), &TransactionStatus_Class::wrap_new);
  Glib::wrap_register(gda_xa_transaction_get_type(), &XaTransaction_Class::wrap_new);

  // Register the gtkmm gtypes:
  Batch::get_type();
  BlobOp::get_type();
  Column::get_type();
  Config::get_type();
  Connection::get_type();
  ConnectionEvent::get_type();
  DataAccessWrapper::get_type();
  DataComparator::get_type();
  DataModelArray::get_type();
  DataModelImport::get_type();
  DataModelIter::get_type();
  DataProxy::get_type();
  DataSelect::get_type();
  HandlerBin::get_type();
  HandlerBoolean::get_type();
  HandlerNumerical::get_type();
  HandlerString::get_type();
  HandlerTime::get_type();
  HandlerType::get_type();
  Holder::get_type();
  MetaStore::get_type();
  MetaStruct::get_type();
  Row::get_type();
  ServerOperation::get_type();
  ServerProvider::get_type();
  Set::get_type();
  SqlBuilder::get_type();
  SqlParser::get_type();
  Statement::get_type();
  TransactionStatus::get_type();
  XaTransaction::get_type();

} // wrap_init()

} // Gda
} // Gnome

